Page MenuHomePhabricator

Remove references to OCG service from prod config
Closed, ResolvedPublic2 Story Points

Description

Ronseal.

Before Ops can remove the OCG service from production, the OCG service definition and usage need to be removed from the operations-mediawiki-config repo and those removals need to be deployed.

Developer Notes

  1. Remove wmf-config/CommonSettings.php#L1827
  2. Remove wmf-config/ProductionServices.php#L18
  3. Remove wmf-config/ProductionServices.php#L36
  4. Don't remove wmf-config/LabsServices.php#L23 as it'll help us test the new rendering service on the Beta Cluster

Open Questions

  1. What happens if $wgCollectionMWServeURL isn't set? See T177795#3670288.

Event Timeline

phuedx created this task.Oct 9 2017, 6:35 PM
Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptOct 9 2017, 6:35 PM
ovasileva triaged this task as High priority.Oct 9 2017, 6:43 PM
phuedx raised the priority of this task from High to Needs Triage.Oct 9 2017, 6:43 PM
phuedx updated the task description. (Show Details)

What happens if $wgCollectionMWServeURL isn't set?

Looks like it defaults to:
$wgCollectionMWServeURL = 'https://tools.pediapress.com/mw-serve/';

It can however be overriden by wgCollectionCommandToServeURL or $wgCollectionFormatToServeURL

It it's set to empty string it will continue regardless and perform a post to the URL it has.
If response is false (as it would be with an invalid URL) it would log using wfDebugLog

phuedx updated the task description. (Show Details)Oct 9 2017, 6:51 PM

Change 383210 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Disable OCG services

https://gerrit.wikimedia.org/r/383210

@phuedx the config change removes the ocg references. We'll need to work out whether we need to do anything for $wgCollectionMWServeURL. Feel free to deploy if you can work that out.

phuedx set the point value for this task to 2.Oct 10 2017, 9:26 AM

Being bold.

2 because it's a SWAT deploy and there's a little investigation to be done.

phuedx triaged this task as High priority.Oct 10 2017, 9:45 AM

Whoops…

faidon added a subscriber: faidon.Oct 10 2017, 12:22 PM

Change 383347 had a related patch set uploaded (by Phuedx; owner: Phuedx):
[mediawiki/extensions/Collection@master] Don't request render if renderer not configured

https://gerrit.wikimedia.org/r/383347

It it's set to empty string it will continue regardless and perform a post to the URL it has.
If response is false (as it would be with an invalid URL) it would log using wfDebugLog

rECOL2fef1600479c: Don't request render if renderer not configured short-circuits this behaviour and logs a more informative message (why even bother invoking Http::post).

phuedx updated the task description. (Show Details)Oct 10 2017, 12:34 PM
phuedx claimed this task.Oct 10 2017, 1:01 PM

Change 383347 merged by jenkins-bot:
[mediawiki/extensions/Collection@master] Don't request render if renderer not configured

https://gerrit.wikimedia.org/r/383347

Change 383391 had a related patch set uploaded (by Jdlrobson; owner: Phuedx):
[mediawiki/extensions/Collection@wmf/1.31.0-wmf.2] Don't request render if renderer not configured

https://gerrit.wikimedia.org/r/383391

Scheduled for SWAT this afternoon.

Change 383391 merged by jenkins-bot:
[mediawiki/extensions/Collection@wmf/1.31.0-wmf.2] Don't request render if renderer not configured

https://gerrit.wikimedia.org/r/383391

Mentioned in SAL (#wikimedia-operations) [2017-10-10T23:41:26Z] <thcipriani@tin> Synchronized php-1.31.0-wmf.2/extensions/Collection/RenderingAPI.php: SWAT: [[gerrit:383391|Do not request render if renderer not configured]] T177795 (duration: 00m 47s)

Change 383210 merged by jenkins-bot:
[operations/mediawiki-config@master] Disable OCG services

https://gerrit.wikimedia.org/r/383210

Mentioned in SAL (#wikimedia-operations) [2017-10-10T23:52:35Z] <thcipriani@tin> Synchronized wmf-config/CommonSettings.php: SWAT: [[gerrit:383210|Disable OCG services]] PART I T177795 (duration: 00m 47s)

Mentioned in SAL (#wikimedia-operations) [2017-10-10T23:53:54Z] <thcipriani@tin> Synchronized wmf-config: SWAT: [[gerrit:383210|Disable OCG services]] PART II T177795 (duration: 00m 48s)

Jdlrobson added a subscriber: ovasileva.

OCG is now disabled. Ping @faidon
Not sure if this task needs QA - @phuedx and @ovasileva checking should be sufficient.

I'd like to keep an eye out for the log message that we introduced for a while before signing off on this.

I can't find an instance of the log message. Given that the service was rendering ~5k PDFs/day, we would've definitely seen it if there were still requests being made.

phuedx closed this task as Resolved.Oct 12 2017, 6:22 PM

Being bold.